%define         openssl_pc  %(if test -z `rpm -ql openssl-devel | grep pkgconfig` ; then echo 0; else echo 1; fi )

#This is not the best way to do this but works here
%define         aspellver     %(rpm -q --qf "%%{version}" aspell)

Name:           sylpheed-claws
Version:        1.0.1
Release:        0.fdr.1.2
Epoch:          0
Summary:        The bleeding edge branch of Sylpheed
Group:          Applications/Internet
License:        GPL
URL:            http://claws.sylpheed.org
Source0:        http://dl.sourceforge.net/sylpheed-claws/sylpheed-claws-1.0.1.tar.bz2
Source1:        sylpheed.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  flex, bison
BuildRequires:  glib-devel
BuildRequires:  gtk+-devel
BuildRequires:  compface
BuildRequires:  openssl-devel
BuildRequires:  openldap-devel
BuildRequires:  aspell-devel
BuildRequires:  pilot-link-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  clamav-devel
BuildRequires:  gnupg >= 0:1.2.1, gpgme03-devel >= 0:0.3.12
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig
Requires:  spamassassin
Requires:  dillo

Conflicts: sylpheed

%description
The bleeding edge branch of Sylpheed, a GTK+ based, lightweight, and fast 
e-mail client.
The main reason for this bleeding edge branch is to lift some of the burden
from the shoulders of Hiroyuki Yamamoto, Sylpheed's creator. The idea is that
we regularly resync with Hiroyuki's main branch, and vice-versa.

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the header files  and pkgconfig file needed
for development with %{name}.

# -----------------------------------------------------------------------------

%prep
%setup

# -----------------------------------------------------------------------------

%build
%if %openssl_pc
MY_OPENSSL_CFLAGS=`pkg-config openssl --cflags`
%endif
CFLAGS="${MY_OPENSSL_CFLAGS} ${RPM_OPT_FLAGS}" \
%configure --enable-openssl --enable-ipv6 \
           --enable-ldap --enable-jpilot \
           --enable-spamassassin-plugin \
           --disable-mathml-viewer-plugin \
%if "%{aspellver}" >= "0.50"
	   --enable-aspell \
%endif
           --disable-dependency-tracking

%{__make} %{?_smp_mflags}

%{__make} check


# -----------------------------------------------------------------------------

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall gnomedatadir=${RPM_BUILD_ROOT}/%{_datadir}
%find_lang sylpheed-claws

desktop-file-install \
        --vendor=fedora \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
        --add-category=X-Fedora \
				%{SOURCE1}

%{__rm} -f ${RPM_BUILD_ROOT}%{_infodir}/dir
%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/gnome
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/sylpheed/plugins/*.a
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

# -----------------------------------------------------------------------------

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# -----------------------------------------------------------------------------

%files -f sylpheed-claws.lang
%defattr(-,root,root,-)
%doc ABOUT-NLS AUTHORS ChangeLog ChangeLog.claws COPYING
%doc NEWS README README.claws RELEASE_NOTES.claws 
%doc TODO
%{_bindir}/*
%dir %{_libdir}/sylpheed-claws/
%dir %{_libdir}/sylpheed-claws/plugins/
%{_libdir}/sylpheed-claws/plugins/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/sylpheed-claws/
%{_datadir}/sylpheed-claws/*
%{_mandir}/man1/*
%{_datadir}/applications/*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/sylpheed-claws/
%{_includedir}/sylpheed-claws/*
%{_libdir}/pkgconfig/sylpheed-claws.pc

# -----------------------------------------------------------------------------

%changelog
* Wed Feb 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:1.0.1-0.fdr.1
- version upgrade
- cleaned up BuildRequires/Requires and configure options

* Tue Dec 21 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.13-1
- version upgrade
- remove old configure options for GnuPG support (moved to a new plugin now)
- enable new pgpmime-plugin

* Tue Jul 20 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.12-1
- version upgrade
- lots of s/sylpheed/sylpheed-claws/

* Mon May 31 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.11-0.fdr.1
- version upgrade

* Tue Mar 09 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.10-0.fdr.1
- new upstream version

* Fri Feb 13 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.9-0.fdr.1
- version upgrade
* Thu Jan 01 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.8-0.fdr.1
- version upgrade

* Thu Dec 18 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.7-0.fdr.2
- added missing defattr to devel rpm (fixes pending issue)

* Thu Nov 27 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.7-0.fdr.1
- version upgrade

* Wed Oct 08 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.6-0.fdr.8
- version upgrade

* Tue Sep 16 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.5-0.fdr.7
- minor fixes (see #545 #2{1,2})

* Mon Sep 15 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.5-0.fdr.6
- added specfile changes provided by Michael Schwendt
- made aspell-devel conditional severn only

* Fri Sep 12 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.5-0.fdr.5
- version upgrade (thus devel package)
- readded aspell-devel (still only works for > severn but 'a nice to have')

* Sat Aug 30 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.4-0.fdr.4
- reintroduced --enable-aspell without BuildRequires so that it will work in
  severn and just be ignored on > shrike
- changed openssl cflags (now via pkg-config)

* Wed Aug 06 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.4-0.fdr.3
- upgrade to new version
- no aspell support till version >= 0.5.0 is aviable

* Sat Aug 02 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.3-0.fdr.2
- Added BuildRequires openldap-devel, pilot-link-devel
- Excluded static archives
- Changed desktop file

* Fri Aug 01 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.3-0.fdr.1
- Initial RPM release.
